Show / Hide Table of Contents

# Class TextChannelProperties

Provides properties that are used to modify an ITextChannel with the specified changes.

##### Inheritance

System.Object
GuildChannelProperties
TextChannelProperties

##### Inherited Members

GuildChannelProperties.Name
GuildChannelProperties.Position
GuildChannelProperties.CategoryId
System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public class TextChannelProperties : GuildChannelProperties

### Properties

| Improve this Doc View Source

#### IsNsfw

Gets or sets whether this channel should be flagged as NSFW.

##### Declaration

    public Optional<bool> IsNsfw { get; set; }

##### Property Value

Type | Description
--- | ---
Optional<System.Boolean> |

##### Remarks

Setting this value to `true` will mark the channel as NSFW (Not Safe For Work) and will prompt the user about its possibly mature nature before they may view the channel; setting this value to `false` will remove the NSFW indicator.

| Improve this Doc View Source

#### SlowModeInterval

Gets or sets the slow-mode ratelimit in seconds for this channel.

##### Declaration

    public Optional<int> SlowModeInterval { get; set; }

##### Property Value

Type | Description
--- | ---
Optional<System.Int32> |

##### Remarks

Setting this value to anything above zero will require each user to wait X seconds before sending another message; setting this value to `0` will disable slow-mode for this channel.

##### note

Users with ManageMessages or ManageChannels will be exempt from slow-mode.

##### Exceptions

Type | Condition
--- | ---
System.ArgumentOutOfRangeException | Thrown if the value does not fall within [0, 21600].

| Improve this Doc View Source

#### Topic

Gets or sets the topic of the channel.

##### Declaration

    public Optional<string> Topic { get; set; }

##### Property Value

Type | Description
--- | ---
Optional<System.String> |

##### Remarks

Setting this value to any string other than `null` or System.String.Empty will set the channel topic or description to the desired value.

### See Also

ModifyAsync(System.Action<TextChannelProperties>, RequestOptions)